export interface IconDefinition {
  name: string;

  icon: string;
}

export const CustomIconSources: IconDefinition[] = [
  {
    name: 'ng-zorro:account',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 24 24" width="1em"><g><rect fill="none" height="24" width="24"/></g><g><g><rect height="7" width="3" x="4" y="10"/><rect height="7" width="3" x="10.5" y="10"/><rect height="3" width="20" x="2" y="19"/><rect height="7" width="3" x="17" y="10"/><polygon points="12,1 2,6 2,8 22,8 22,6"/></g></g></svg>',
  },
  {
    name: 'ng-zorro:corporate',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 24 24" width="1em"><rect fill="none" height="24" width="24"/><path d="M12,7V3H2v18h20V7H12z M10,19H4v-2h6V19z M10,15H4v-2h6V15z M10,11H4V9h6V11z M10,7H4V5h6V7z M20,19h-8V9h8V19z M18,11h-4v2 h4V11z M18,15h-4v2h4V15z"/></svg>',
  },
  {
    name: 'ng-zorro:domain',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M67-100.782v-745.436H483v165h410v580.436H66.999Zm73-73h105v-105H140v105Zm0-165h105v-105H140v105Zm0-165h105v-105H140v105Zm0-165h105v-105H140v105Zm165 495h105v-105H305v105Zm0-165h105v-105H305v105Zm0-165h105v-105H305v105Zm0-165h105v-105H305v105Zm165 495h350v-435H470v105h80v60h-80v105h80v60h-80v105Zm185-270v-60h60v60h-60Zm0 165v-60h60v60h-60Z"/></svg>',
  },
  {
    name: 'ng-zorro:domain_add',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M67-100.782v-745.436H483v165h410v348.479H820v-276.043H470v105h80v60h-80v105h80v60h-80v105h190.478v73H66.999Zm73-73h105v-105H140v105Zm0-165h105v-105H140v105Zm0-165h105v-105H140v105Zm0-165h105v-105H140v105Zm165 495h105v-105H305v105Zm0-165h105v-105H305v105Zm0-165h105v-105H305v105Zm0-165h105v-105H305v105ZM812.717-22.477V-114h-92.239v-67.066H813v-91.674h66.218v91.957h92.087v66.783h-92.087v91.522h-66.501ZM655-443.782v-60h60v60h-60Zm0 165v-60h60v60h-60Z"/></svg>',
  },
  {
    name: 'ng-zorro:apartment',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="48" viewBox="0 -960 960 960" width="48"><path d="M100.782-100.782v-594.002h165v-165h429.002v330h165v429.002H533V-285H427v184.218H100.782ZM180-180h105v-105H180v105Zm0-165h105v-105H180v105Zm0-165h105v-105H180v105Zm165 165h105v-105H345v105Zm0-165h105v-105H345v105Zm0-165h105v-105H345v105Zm165 330h105v-105H510v105Zm0-165h105v-105H510v105Zm0-165h105v-105H510v105Zm165 495h105v-105H675v105Zm0-165h105v-105H675v105Z"/></svg>',
  },
  {
    name: 'ng-zorro:home_work',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="48" viewBox="0 -960 960 960" width="48"><path d="M699.826-623h60v-60h-60v60Zm0 171h60v-60h-60v60Zm0 170h60v-60h-60v60Zm-56 168.218v-72.436h212.783v-587.564h-382v108.043l-73-52.174v-128.305h528v732.436H643.826Zm-614 0v-399.609l277.783-198.522 276.217 198.522v399.609H360.609v-213.436h-106v213.436H29.826Zm73-72.436h91.783v-201h226v201h90.217v-289.391L307.609-621.521 102.826-475.045v288.827Zm541-361.043ZM420.609-186.218v-201h-226v201-201h226v201Z"/></svg>',
  },
  {
    name: 'ng-zorro:manage_account',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M399.885-492.348q-72.333 0-118.174-45.842-45.842-45.842-45.842-118.174 0-72.333 45.842-118.29 45.841-45.957 118.174-45.957t118.572 45.957q46.239 45.957 46.239 118.29 0 72.332-46.239 118.174-46.239 45.842-118.572 45.842ZM65.869-142.521v-109.261q0-41.218 21.457-72.044 21.456-30.826 54.456-46.392 72-32 136.609-46.565Q343-431.348 400-431.348h32.044q-7.131 14.565-13.522 36.261-6.392 21.696-8.392 43.522h-8.819q-54.789 0-109.913 11.352-55.123 11.351-114.244 40.173-16.03 7.95-24.048 21.734-8.019 13.785-8.019 28.785v27.782h263.348q5 22.522 16.522 43.522 11.522 21.001 24.348 35.696H65.869Zm607.398 36.652-10.049-67.696q-15.87-4.434-32.239-13.369-16.37-8.935-27.239-20.37l-57.261 13.131-30.088-51.609 48.696-45.131q-2.565-7.304-2.282-22.456.282-15.152 2.282-21.891l-48.696-45.696L546.479-432l57.261 12.565q10.869-10.869 27.239-20.087 16.369-9.217 32.239-13.087l10.049-68.261h64.69l10.566 68.261q15.304 3.87 31.956 13.087 16.652 9.218 27.522 20.087L864.696-432l30.653 51.044-49.261 45.696q3.13 7.096 2.848 22.069-.283 14.974-2.848 22.278l49.261 45.131-30.653 51.609-56.695-13.131q-10.87 11.435-27.522 20.37t-31.956 13.369l-10.566 67.696h-64.69Zm32.603-130.609q34.206 0 55.407-21.152 21.202-21.152 21.202-55.739 0-34.587-21.222-55.739-21.223-21.152-55.457-21.152t-55.669 21.201q-21.435 21.202-21.435 55.407 0 34.87 21.485 56.022 21.484 21.152 55.689 21.152ZM399.885-571.567q36.854 0 60.941-23.999 24.087-24 24.087-60.893 0-37.127-23.972-61.03t-60.826-23.903q-36.854 0-60.941 23.929-24.087 23.929-24.087 60.723 0 37.028 23.972 61.101 23.972 24.072 60.826 24.072Zm.115-84.912Zm8.435 434.74Z"/></svg>',
  },
  {
    name: 'ng-zorro:person_apron',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M480-488.348q-68.652 0-116.392-47.74-47.739-47.739-47.739-116.674t47.739-116.392q47.74-47.457 116.392-47.457 68.652 0 116.674 47.457 48.022 47.457 48.022 116.392t-48.022 116.674q-48.022 47.74-116.674 47.74ZM145.869-138.521v-109.145q0-38.489 20.358-70.343 20.358-31.854 55.555-48.209 61.131-27.565 126.25-44.348 65.119-16.782 131.925-16.782 67.173 0 131.549 17 64.375 17 125.712 44.13 35.903 15.269 56.691 47.481 20.787 32.211 20.787 71.071v109.145H145.869ZM480-567.567q35.739 0 60.326-24.586 24.587-24.587 24.587-60.326 0-35.739-24.472-60.326-24.472-24.587-60.326-24.587t-60.441 24.689q-24.587 24.69-24.587 59.941 0 36.022 24.587 60.609 24.587 24.586 60.326 24.586Zm163.391 248.133v101.695h91.522v-27.782q0-16.261-9-29.565-9-13.305-24-21.305-14.739-6.869-28.978-12.239-14.239-5.369-29.544-10.804Zm-255.478-20.265v57.047h184.739v-56.608q-23.87-4.435-46.391-6.37-22.522-1.935-46.261-1.935-23.739 0-46.261 1.935-22.521 1.935-45.826 5.931Zm-162.826 121.96h91.522v-103.26q-15.305 5.434-30.044 11.587-14.739 6.152-29.478 13.021-15 8-23.5 21.305-8.5 13.304-8.5 29.565v27.782Zm418.304 0H316.609h326.782ZM480-652.479Z"/></svg>',
  },
  {
    name: 'ng-zorro:free_cancellation',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M672.174-35.694 516.609-191.26l55.565-55.566 99 99 184-184.565 55.566 57.131L672.174-35.694Zm-367.347-227-55.566-55.566 71-71-71-71 55.566-55.566 71 71 71-71 55.566 55.566-71 71 71 71-55.566 55.566-71-71-71 71ZM185.087-65.869q-32.507 0-55.862-23.356-23.356-23.355-23.356-55.862v-609.826q0-32.74 23.356-56.262 23.355-23.521 55.862-23.521H245v-60h74.609v60h320.782v-60H715v60h59.913q32.74 0 56.262 23.521 23.521 23.522 23.521 56.262v339l-79.783 80.348V-570H185.087v424.913h292.129l79.219 79.218H185.087Zm0-564.131h589.826v-124.913H185.087V-630Zm0 0v-124.913V-630Z"/></svg>',
  },
  {
    name: 'ng-zorro:conveyor_belt',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M185.738-95.694q-54.475 0-92.607-38.143Q55-171.979 55-226.467q0-54.489 38.132-92.881 38.132-38.391 92.607-38.391h590.524q54.71 0 93.007 38.317 38.298 38.316 38.298 93.054 0 54.503-38.298 92.588-38.297 38.086-93.007 38.086H185.738Zm0-75.262h590.524q23.818 0 39.931-15.996 16.112-15.995 16.112-39.641 0-23.645-16.112-39.765-16.113-16.119-39.931-16.119H185.738q-23.578 0-39.528 16.109-15.95 16.11-15.95 39.924t15.95 39.651q15.95 15.837 39.528 15.837ZM389.87-429.26q-16.707 0-28.158-11.452-11.452-11.451-11.452-28.158v-346.782q0-16.707 11.452-28.158 11.451-11.452 28.158-11.452h346.782q16.707 0 28.158 11.452 11.452 11.451 11.452 28.158v346.782q0 16.707-11.452 28.158-11.451 11.452-28.158 11.452H389.87Zm35.652-75.262H701V-780H425.522v275.478ZM52.999-520.391v-76.392H298.87v76.392H52.999ZM484.522-639.26H642v-71.305H484.522v71.305Zm-349.523-25.436H306.87v-75.827H134.999v75.827Zm290.523 160.174V-780v275.478Z"/></svg>',
  },
  {
    name: 'ng-zorro:lock_reset',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M520-101.869q-74.652 0-144.174-28.826t-119.218-78.914l56.566-57.131q41.696 41.522 96.043 63.588Q463.565-181.087 520-181.087q123.304 0 211.109-88.087Q818.913-357.261 818.913-480q0-123.304-87.804-211.109Q643.304-778.913 520-778.913q-121.609 0-210.261 87.239t-88.652 209.413v15.739l70-70L337.609-490 181.478-333.869 25.347-490l46.522-46.522 70 70v-15.739q0-77.696 29.348-146.239 29.348-68.544 80.826-119.74 51.478-51.195 120.305-80.826 68.826-29.63 147.652-29.63t147.652 29.63q68.827 29.631 120.305 81.109 51.478 51.478 81.109 120.305 29.63 68.826 29.63 147.652 0 158.783-109.956 268.457Q678.783-101.869 520-101.869ZM440-325q-14 0-24.5-10.5T405-360v-120q0-14 11.5-24.5T445-515v-45q0-31 22-53t53-22q31 0 53 22t22 53v45q17 0 28.5 10.5T635-480v120q0 14-10.5 24.5T600-325H440Zm35-190h90v-45q0-19-13-32t-32-13q-19 0-32 13t-13 32v45Z"/></svg>',
  },
  {
    name: 'ng-zorro:link',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M443.782-265.869H280q-89.28 0-151.706-62.413-62.425-62.412-62.425-151.546 0-89.134 62.425-152.001Q190.72-694.696 280-694.696h163.782v79.783h-163.54q-56.738 0-95.947 39.069-39.208 39.069-39.208 95.609 0 56.539 39.208 95.844 39.209 39.304 95.947 39.304h163.54v79.218Zm-128.391-180.74v-66.782h329.218v66.782H315.391Zm200.827 180.74v-79.218h163.54q56.738 0 95.947-39.069 39.208-39.069 39.208-95.609 0-56.539-39.208-95.844-39.209-39.304-95.947-39.304h-163.54v-79.783H680q89.099 0 151.898 62.823 62.798 62.823 62.798 151.957 0 89.134-62.798 151.59Q769.099-265.869 680-265.869H516.218Z"/></svg>',
  },
  {
    name: 'ng-zorro:crop',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M685.391-36.608v-158.783H274.609q-32.507 0-55.862-23.356-23.356-23.355-23.356-55.862v-410.782H36.609v-79.218H195.39v-158.782h79.218v648.782h648.782v79.218H764.609v158.782h-79.218Zm0-298.001v-350.782H334.609v-79.218h350.782q32.507 0 55.862 23.356 23.356 23.355 23.356 55.862v350.782h-79.218Z"/></svg>',
  },
  {
    name: 'ng-zorro:upload',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M440.391-318.087v-343.868L323.782-544.782l-57.131-56.566L480-814.696l213.349 213.348-57.131 56.566-116.609-117.173v343.868h-79.218ZM225.087-145.869q-32.507 0-55.862-23.356-23.356-23.355-23.356-55.862v-143h79.218v143h509.826v-143h79.783v143q0 32.478-23.521 55.848-23.522 23.37-56.262 23.37H225.087Z"/></svg>',
  },
  {
    name: 'ng-zorro:download',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M480-318.087 266.651-531.436l57.131-56.001 116.609 116.609v-343.868h79.218v343.868l116.609-116.609 57.131 56.001L480-318.087ZM225.087-145.869q-32.507 0-55.862-23.356-23.356-23.355-23.356-55.862v-143h79.218v143h509.826v-143h79.783v143q0 32.478-23.521 55.848-23.522 23.37-56.262 23.37H225.087Z"/></svg>',
  },
  {
    name: 'ng-zorro:draft',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M225.087-65.869q-32.507 0-55.862-23.356-23.356-23.355-23.356-55.862v-669.826q0-32.74 23.356-56.262 23.355-23.521 55.862-23.521h362.131l227.478 227.478v522.131q0 32.507-23.521 55.862-23.522 23.356-56.262 23.356H225.087Zm320.826-563.044v-186H225.087v669.826h509.826v-483.826h-189Zm-320.826-186v186-186 669.826-669.826Z"/></svg>',
  },
  {
    name: 'ng-zorro:brightness_4',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M492.826-295.609q77.011 0 130.918-53.944 53.908-53.944 53.908-131.5T623.744-612.5q-53.907-53.891-130.918-53.891-17.421 0-34.09 3.652-16.669 3.652-33.04 10.391 48.044 25.131 76.5 70.904Q530.652-535.671 530.652-481t-28.369 100.386q-28.369 45.716-76.587 71.396 16.174 6.305 32.942 9.957 16.767 3.652 34.188 3.652ZM481-22.782 344.067-155.468H155.383v-188.376L19.783-480l135.685-136.17v-189.012h188.376L481-941.348l135.178 136.146h189.024v189.024L941.348-480 805.193-344.067v188.684H616.156L481-22.783Zm.565-458.783ZM481-133.914l102.056-100.55h142.879V-377.45L828.651-480 725.747-583.14v-142.795H583.281L481-828.651 377.45-725.935H234.464v142.654L131.914-480l102.782 102.782v142.522h141.522L481-133.914Z"/></svg>',
  },
  {
    name: 'ng-zorro:brightness_5',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M481-22.782 344.067-155.468H155.383v-188.376L19.783-480l135.685-136.17v-189.012h188.376L481-941.348l135.178 136.146h189.024v189.024L941.348-480 805.193-344.067v188.684H616.156L481-22.783Zm.233-211.914q101.466 0 173.051-71.886t71.585-174.352q0-101.632-71.652-173.283-71.651-71.652-173.283-71.652-102.466 0-174.352 71.632Q234.696-582.605 234.696-481q0 102.203 72.119 174.253 72.118 72.051 174.418 72.051Zm-.753-66.783q-74.415 0-126.708-52.191-52.293-52.19-52.293-126.83 0-74.873 52.191-126.729 52.19-51.857 126.83-51.857 74.873 0 126.729 51.862 51.857 51.863 51.857 126.744 0 74.415-51.862 126.708-51.863 52.293-126.744 52.293Zm.52 167.565 102.056-100.55h142.879V-377.45L828.651-480 725.747-583.14v-142.795H583.281L481-828.651 377.45-725.935H234.464v142.654L131.914-480l102.782 102.782v142.522h141.522L481-133.914Zm-.435-347.651Z"/></svg>',
  },
  {
    name: 'ng-zorro:lock_reset',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="M520-101.869q-74.652 0-144.174-28.826t-119.218-78.914l56.566-57.131q41.696 41.522 96.043 63.588Q463.565-181.087 520-181.087q123.304 0 211.109-88.087Q818.913-357.261 818.913-480q0-123.304-87.804-211.109Q643.304-778.913 520-778.913q-121.609 0-210.261 87.239t-88.652 209.413v15.739l70-70L337.609-490 181.478-333.869 25.347-490l46.522-46.522 70 70v-15.739q0-77.696 29.348-146.239 29.348-68.544 80.826-119.74 51.478-51.195 120.305-80.826 68.826-29.63 147.652-29.63t147.652 29.63q68.827 29.631 120.305 81.109 51.478 51.478 81.109 120.305 29.63 68.826 29.63 147.652 0 158.783-109.956 268.457Q678.783-101.869 520-101.869ZM440-325q-14 0-24.5-10.5T405-360v-120q0-14 11.5-24.5T445-515v-45q0-31 22-53t53-22q31 0 53 22t22 53v45q17 0 28.5 10.5T635-480v120q0 14-10.5 24.5T600-325H440Zm35-190h90v-45q0-19-13-32t-32-13q-19 0-32 13t-13 32v45Z"/></svg>',
  },
  {
    name: 'ng-zorro:environment',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 -960 960 960" width="1em"><path d="m 477.61173,-440.67217 c -10.64553,0 -19.61642,-3.64854 -26.91291,-10.9456 -7.29706,-7.2965 -10.9456,-16.26739 -10.9456,-26.91291 v -331.44696 c 0,-10.64551 3.64854,-19.6164 10.9456,-26.91289 7.29649,-7.29708 16.26738,-10.94561 26.91291,-10.94561 H 809.0588 c 10.6454,0 19.6164,3.64853 26.91278,10.94561 7.29707,7.29649 10.9456,16.26738 10.9456,26.91289 v 331.44696 c 0,10.64552 -3.64853,19.61641 -10.9456,26.91291 -7.29638,7.29706 -16.26738,10.9456 -26.91278,10.9456 z m 34.07546,-71.93397 H 774.98334 V -775.90229 H 511.68719 Z m -356.0498,-15.16721 v -73.01392 H 390.6358 v 73.01392 z m 412.44075,-113.61249 h 150.51424 v -68.15184 H 568.07814 Z m -334.06692,-24.31122 h 164.27082 v -72.47393 H 234.01122 Z m 277.67597,153.09092 v -263.29615 z m 368.40156,233.30634 c 26.21079,-19.29008 31.80639,-56.10311 12.51644,-82.314 -19.29008,-26.2109 -56.1031,-31.80639 -82.31401,-12.51644 L 634.03043,-244.25378 H 456.44435 c -12.95821,0 -23.56034,-10.60213 -23.56034,-23.56033 0,-12.95821 10.60213,-23.56035 23.56034,-23.56035 h 23.56033 94.24135 c 26.0636,0 47.12068,-21.05706 47.12068,-47.12079 0,-26.0636 -21.05708,-47.12067 -47.12068,-47.12067 H 480.00468 456.44435 341.14592 c -42.8504,0 -84.37548,14.57803 -117.8018,41.23059 l -66.11616,53.01087 h -54.18879 c -26.063598,0 -47.120675,21.05697 -47.120675,47.12068 v 94.2413 c 0,26.0636 21.057077,47.12068 47.120675,47.12068 h 235.60337 236.33975 c 42.70312,0 84.37549,-13.69447 118.83243,-39.02181 L 880.23594,-279.2998 Z m -539.09013,-12.22195 c 0.51429,0.8413 -1.64254,1.08087 -1.32533,0.14718 -0.51429,-0.8413 1.64254,-1.08076 1.32533,-0.14718 z"/>',
  },
  {
    name: 'ng-zorro:menu',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="48" viewBox="0 -960 960 960" width="48"><path d="M105.869-219.086v-79.784h748.827v79.784H105.869Zm0-221.305v-79.218h748.827v79.218H105.869Zm0-220.739v-79.784h748.827v79.784H105.869Z"/></svg>',
  },
  {
    name: 'ng-zorro:menu_open',
    icon: '<svg xmlns="http://www.w3.org/2000/svg" height="48" viewBox="0 -960 960 960" width="48"><path d="M105.869-225.869v-78.653h525.652v78.653H105.869Zm693.261-53.696L601.652-481 798.13-681.435l56.566 56.565L713.653-481l142.043 144.87-56.566 56.565ZM105.869-442.391v-79.218h409.044v79.218H105.869Zm0-213.087v-79.218h525.652v79.218H105.869Z"/></svg>',
  },
];
